[arch-commits] Commit in grep/repos (3 files)

Sébastien Luttringer seblu at archlinux.org
Wed Nov 11 12:06:21 UTC 2020


    Date: Wednesday, November 11, 2020 @ 12:06:20
  Author: seblu
Revision: 400362

db-move: moved grep from [testing] to [core] (x86_64)

Added:
  grep/repos/core-x86_64/PKGBUILD
    (from rev 400361, grep/repos/testing-x86_64/PKGBUILD)
Deleted:
  grep/repos/core-x86_64/PKGBUILD
  grep/repos/testing-x86_64/

----------------------+
 /PKGBUILD            |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 core-x86_64/PKGBUILD |   47 -----------------------------------------------
 2 files changed, 47 insertions(+), 47 deletions(-)

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD	2020-11-11 11:57:12 UTC (rev 400361)
+++ core-x86_64/PKGBUILD	2020-11-11 12:06:20 UTC (rev 400362)
@@ -1,47 +0,0 @@
-# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: judd <jvinet at zeroflux.org>
-
-pkgname=grep
-pkgver=3.5
-pkgrel=1
-pkgdesc='A string search utility'
-arch=('x86_64')
-license=('GPL3')
-url='https://www.gnu.org/software/grep/'
-groups=('base-devel')
-depends=('glibc' 'pcre')
-makedepends=('texinfo')
-validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
-source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
-sha256sums=('b82ac77707c2ab945520c8404c9fa9f890f7791a62cf2103cf6238acad87a44a'
-            'SKIP')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --without-included-regex
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: grep/repos/core-x86_64/PKGBUILD (from rev 400361, grep/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2020-11-11 12:06:20 UTC (rev 400362)
@@ -0,0 +1,47 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=3.6
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('x86_64')
+license=('GPL3')
+url='https://www.gnu.org/software/grep/'
+groups=('base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+sha256sums=('667e15e8afe189e93f9f21a7cd3a7b3f776202f417330b248c2ad4f997d9373e'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list